STAT(1)

NAAM
stat - status van bestanden of bestandssystemen tonen

SAMENVATTING
stat [OPTIE]... [BESTAND]...

BESCHRIJVING

Toont de status van een bestand (of van een bestandssysteem).

Een verplicht argument bij een lange optie is ook verplicht voor de korte optie.

-L, --dereference
    symbolische koppelingen volgen

-f, --file-system
    status tonen van bestandssysteem i.p.v. van bestand

--time=SOORT
    specificeer hoe gebufferde attributen gebruikt moeten worden; nuttig voor bestandssystemen op afstand. Zie SOORT hieronder

-c  --format=OPMAAK
    te gebruiken OPMAAK in plaats van de standaardopmaak; elk gebruik van OPMAAK met nieuwe regel afsluiten

--printf=OPMAAK
    als --format, maar backslash-codes interpreteren, en geen automatische nieuwe regel toevoegen; als u een nieuwe regel wilt, voeg dan \n toe in OPMAAK

-t, --terse
    de informatie in beknopte vorm tonen

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

Het SOORT argument van --chached kan zijn: always, never, of default. `always` zal gebufferde attributen gebruiken mits beschikbaar, `never` zal trachten te synchroniseren met de recentste attributen en `default` laat dat over aan het onderliggende bestandssysteem.

Geldige opmaakspecificaties voor bestanden (zonder --file-system) zijn:

%a  toegangsrechten in octale vorm (let op '#' en '0' printf-vlaggen)

%A  rechten bits en bestandssysteem soort in leesbare vorm

%b  aantal toegewezen blokken (zie %B)

%B  de grootte in bytes van elk blok gerapporteerd door %b

%C  SELinux-beveiligingscontext-tekenreeks

%d  apparaatnummer in decimaal (st_dev)

%D  apparaatnummer in hex (st_dev)

%Hd hoofdapparaatnummer in decimaal

%Ld subapparaatnummer in decimaal

%f  ruwe modus in hex

%F  bestandstype

%g  groeps-ID van eigenaar

%G  groepsnaam van eigenaar

%h  aantal harde koppelingen

%i  inode-nummer

%m  aankoppelpunt

%n  bestandsnaam

%N  aangehaalde bestandsnaam (plus doel bij een symbolische koppeling)

%o  hint voor optimale blokgrootte voor invoer/uitvoer

%s  totale grootte, in bytes

%r  apparaat type in decimaal (st_dev)

%R  apparaat type in hex (st_dev)

%Hr hoofdapparaattype in decimaal, voor teken/blok apparaat speciale bestanden

%Lr subapparaattype in decimaal, voor teken/blok apparaat speciale bestanden

%t  hoofdapparaattype in hex, voor teken/blok apparaat speciale bestanden

%T  subapparaattype in hex, voor teken/blok apparaat speciale bestanden

%u  gebruikers-ID van eigenaar

%U  gebruikersnaam van eigenaar

%w  tijdstip van ontstaan van bestand, of '-' als onbekend

%W  tijdstip van ontstaan, in seconden sinds Epoch, of 0 als onbekend

%x  tijdstip van laatste toegang

%X  tijdstip van laatste toegang, in seconden sinds Epoch

%y  tijdstip van laatste gegevenswijziging

%Y  tijdstip van laatste gegevenswijziging, in seconden sinds Epoch

%z  tijdstip van laatste statusverandering

%Z  tijdstip van laatste statusverandering, in seconden sinds Epoch

Geldige opmaakspecificaties voor bestandssystemen zijn:

%a  beschikbare vrije blokken voor niet-systeembeheerders

%b  totaal aantal blokken met gegevens in bestandssysteem

%c  totaal aantal inodes in bestandssysteem

%d  aantal vrije inodes in bestandssysteem

%f  aantal vrije blokken in bestandssysteem

%i  bestandssysteem-ID in hex

%l  maximum lengte van bestandsnamen

%n  bestandsnaam

%s  optimale grootte van transportblok

%S  fundamentele blokgrootte (voor blokaantallen)

%t  bestandssysteemtype in hex

%T  bestandssysteemtype in leesbare vorm

  --terse is equivalent met het onderstaande FORMAAT:

    %n %s %b %f %u %g %D %i %h %t %T %X %Y %Z %W %o %C

  --terse --file-system is equivalent met het onderstaande FORMAAT:

    %n %i %l %t %s %S %b %f %a %c %d

Uw shell kan een eigen versie van stat hebben, die gewoonlijk prevaleert boven de hier beschreven versie. Kijk in de documentatie van uw shell voor details over de ondersteunde opties.

AUTEUR
Geschreven door Michael Meskes.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

ZIE OOK
stat(2), statfs(2), statx(2)

Volledige documentatie op: <https://www.gnu.org/software/coreutils/stat>
of lokaal via: info '(coreutils) stat invocation'

Pakket gemaakt door Debian (9.7-2)
Copyright (c) 2025 Free Software Foundation, Inc.
Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden.
Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.